﻿ 
-- Name: Deploy_Oracle_Inventory.sql
-- Purpose : PL/SQL script to execute all Advanced Mobile EAM scripts
-- Notes :
--   1) this will be run from sqlplus
--   2) the path will include the directory
--   3) the file names will be case sensitive
--   4) you can spool from the script or create individual spool files for each sql statement (we recommend you spool to help debug if problems)
--   5) do not include an exit at end of each file
--   6) spaces are not allowed in the file name
--   7) make sure to include an forward slash '/' at the end of each pl/sql block (triggers, procedures, etc)
--   8) include a commit where necessary and at the end if performing DML
--   9) it is useful to include 'show errors' after the creation of pl/sql blocks

--
spool Deploy_Oracle_Inventory.out
--

PROMPT >> running CustomDataSpies/BSAUTH_HDR.sql
@CustomDataSpies/BSAUTH_HDR.sql 'EN'

PROMPT >> running CustomDataSpies/BSDEVS.sql
@CustomDataSpies/BSDEVS.sql 'EN'

PROMPT >> running CustomDataSpies/BSGROU_SSC.sql
@CustomDataSpies/BSGROU_SSC.sql 'EN'

PROMPT >> running CustomDataSpies/BSUSER_UOG.sql
@CustomDataSpies/BSUSER_UOG.sql 'EN'

PROMPT >> running CustomDataSpies/LVFLCC.sql
@CustomDataSpies/LVFLCC.sql 'EN'

PROMPT >> running CustomDataSpies/LVFLPERS.sql
@CustomDataSpies/LVFLPERS.sql 'EN'

PROMPT >> running CustomDataSpies/LVIRACT.sql
@CustomDataSpies/LVIRACT.sql 'EN'

PROMPT >> running CustomDataSpies/LVIREVNT.sql
@CustomDataSpies/LVIREVNT.sql 'EN'

PROMPT >> running CustomDataSpies/LVIRMATL.sql
@CustomDataSpies/LVIRMATL.sql 'EN'

PROMPT >> running CustomDataSpies/LVIROBJ.sql
@CustomDataSpies/LVIROBJ.sql 'EN'

PROMPT >> running CustomDataSpies/LVISSUEPICKLIST.sql
@CustomDataSpies/LVISSUEPICKLIST.sql 'EN'

PROMPT >> running CustomDataSpies/LVMANUPART.sql
@CustomDataSpies/LVMANUPART.sql 'EN'

PROMPT >> running CustomDataSpies/LVPARTRETURNWO.sql
@CustomDataSpies/LVPARTRETURNWO.sql 'EN'

PROMPT >> running CustomDataSpies/LVRECPTPARTS.sql
@CustomDataSpies/LVRECPTPARTS.sql 'EN'

PROMPT >> running CustomDataSpies/LVREFNUM_RETN.sql
@CustomDataSpies/LVREFNUM_RETN.sql 'EN'

PROMPT >> running CustomDataSpies/LVRETURNREASON.sql
@CustomDataSpies/LVRETURNREASON.sql 'EN'

PROMPT >> running CustomDataSpies/LVSTOSACTREQ.sql
@CustomDataSpies/LVSTOSACTREQ.sql 'EN'

PROMPT >> running CustomDataSpies/SSBINL.sql
@CustomDataSpies/SSBINL.sql 'EN'

PROMPT >> running CustomDataSpies/SSIUSS.sql
@CustomDataSpies/SSIUSS.sql 'EN'

PROMPT >> running CustomDataSpies/SSIUSS_TRL.sql
@CustomDataSpies/SSIUSS_TRL.sql 'EN'

PROMPT >> running CustomDataSpies/SSPART.sql
@CustomDataSpies/SSPART.sql 'EN'

PROMPT >> running CustomDataSpies/SSPART_BIS.sql
@CustomDataSpies/SSPART_BIS.sql 'EN'

PROMPT >> running CustomDataSpies/SSPICK_PAR.sql
@CustomDataSpies/SSPICK_PAR.sql 'EN'

PROMPT >> running CustomDataSpies/SSPINV.sql
@CustomDataSpies/SSPINV.sql 'EN'

PROMPT >> running CustomDataSpies/SSPINV_PAR.sql
@CustomDataSpies/SSPINV_PAR.sql 'EN'

PROMPT >> running CustomDataSpies/SSRECV.sql
@CustomDataSpies/SSRECV.sql 'EN'

PROMPT >> running CustomDataSpies/SSRECV_XDL.sql
@CustomDataSpies/SSRECV_XDL.sql 'EN'

PROMPT >> running CustomDataSpies/SSRETN_TRL.sql
@CustomDataSpies/SSRETN_TRL.sql 'EN'

PROMPT >> running CustomDataSpies/SSRQSS_RQL.sql
@CustomDataSpies/SSRQSS_RQL.sql 'EN'

PROMPT >> running CustomDataSpies/SSSTOR.sql
@CustomDataSpies/SSSTOR.sql 'EN'

PROMPT >> running CustomDataSpies/SSSTSR.sql
@CustomDataSpies/SSSTSR.sql 'EN'

PROMPT >> running CustomDataSpies/SSSTSR_TRL.sql
@CustomDataSpies/SSSTSR_TRL.sql 'EN'

PROMPT >> running CustomDataSpies/WSEMPS.sql
@CustomDataSpies/WSEMPS.sql 'EN'

PROMPT >> running CustomDataSpies/WSFLTK.sql
@CustomDataSpies/WSFLTK.sql 'EN'

PROMPT >> running CustomDataSpies/WSJOBS_PAR.sql
@CustomDataSpies/WSJOBS_PAR.sql 'EN'

PROMPT >> running CustomDataSpies/WSMATL_PAR.sql
@CustomDataSpies/WSMATL_PAR.sql 'EN'

PROMPT >> running CustomGrids/AUI001.sql
@CustomGrids/AUI001.sql 'EN'

PROMPT >> running CustomGrids/SSCLAS.sql
@CustomGrids/SSCLAS.sql 'EN'

PROMPT >> running CustomGrids/SSRECV_XDL.sql
@CustomGrids/SSRECV_XDL.sql 'EN'

PROMPT >> running CustomGrids/WUDSPY.sql
@CustomGrids/WUDSPY.sql 'EN'

PROMPT >> running CustomGrids/WUJOBS.sql
@CustomGrids/WUJOBS.sql 'EN'

--
spool off